﻿using Gallery.Services;
using Xamarin.Forms;

namespace Gallery.Resources.Theme
{
    public class LightTheme : Theme
    {
        private static LightTheme instance;
        public static LightTheme Instance
        {
            get
            {
                if (instance == null)
                {
                    instance = new LightTheme();
                }
                return instance;
            }
        }

        public LightTheme()
        {
            InitColors();
            InitResources();
        }

        private void InitColors()
        {
            Add(StatusBarStyle, StatusBarStyles.DarkText);
            Add(WindowColor, Color.White);
            Add(TintColor, Color.FromRgb(0x87, 0x87, 0x8b));    // 0x7f, 0x99, 0xc6
            Add(TextColor, Color.Black);
            Add(SubTextColor, Color.DimGray);
            Add(CardBackgroundColor, Color.FromRgb(0xf3, 0xf3, 0xf3));
            Add(NavigationColor, Color.FromRgb(0xf0, 0xf0, 0xf0));
            Add(NavigationSelectedColor, Color.LightGray);
            Add(OptionBackColor, Color.FromRgb(0xf0, 0xf0, 0xf0));
            Add(OptionTintColor, Color.White);

        }
    }
}
